Get /api/v3/dashboard/{dashboardId}

Operation: GetDashboardV3

Summary

Retrieves a dashboard.
For a dashboard to be returned you must have created the dashboard
or have DashboardAdministrator Manage permission and the dashboard is shared at all
or have DashboardAdministrator Manage permission and the dashboard is public
or have SharedDashboardsOrMaps View permission and the dashboard is shared with you

Path and Query Parameters

Parameter Description Type Location
dashboardId Specific dashboardRequired integer Path

Response Parameters

HTTP 200


Body Parameters

Content Type: application/json

Type Reference: DashboardResponse

Parameter Description Type
dashboardId The dashboard identifier integer
dashboardInfo The dashboard info string
description The dashboard description string
type The dashboard type string
createdBy UserChild
   userId The user identifier integer
   userCode The user code string
   fullName The user’s full name string
createdDate The date and time the dashboard was created string
modifiedDate The date and time of the most recent modification string
shared Flag to indicate if the dashboard is shared at all
This means the dashboard is shared with everyone, shared with a user, or shared with a user group
boolean
visible Flag to indicate if dashboard should show in the caller’s tree boolean
lastViewed The date and time of the last time this dashboard was viewed by the caller string
key If the dashboard is public, this value holds the public key
that allows the dashboard to be embedded
string
public Flag to indicate if the dashboard is public boolean
dashboardGlobalSettings DashboardGlobalSettingsV202208
   showLinks Flag to indicate if public-facing links to the application should be displayed boolean
   showInfo Flag to indicate if title/description should be displayed boolean
   globalFilterVisibility Visibility of dashboard filter. Values are Show, Hide, or Fixed.
Show - Filter controls are shown on the dashboard, filter can be temporarily set by anybody who can view the dashboard, including public viewers
Hide - Filter controls are hidden, filter cannot be set, dashboard will be filtered using the topmost place of the user that creates the dashboard
Fixed - Filter controls are hidden, a fixed filter is applied to the dashboard
string
   globalFilterType If GlobalFilterVisibility is Fixed, this is the type of filter currently applied to this dashboard. Values are either TopmostPlace or BuildingGroup, or blank if GlobalFilterVisibility is not Fixed.
TopmostPlace - Filters the dashboard by a topmost place
BuildingGroup - Filters the dashboard by a building group
string
   topmostPlace PlaceChild
      placeType PlaceTypeResponse
         placeTypeId The place type identifier integer
         placeTypeCode The place type code string
         placeTypeInfo The place type info string
         structure Indicates if the place is a structure boolean
         icon Icon
            code The icon code Must be between 0 and 64 characters Required when Color is set string
            color The icon color Must be between 0 and 32 characters Required when Code is set string
         placeEntityType PlaceEntityTypeV202406
            placeEntityTypeId The place entity type identifier integer
            placeEntityTypeInfo The place entity type name string
         isSystemPlaceType Flag to indicate if the place type is a system-level place type boolean
      isDataRolledUp Tells whether or not the place’s data is rolled up to its parents. boolean
      placeId The place identifier integer
      placeCode The place code string
      placeInfo The place info string
   buildingGroup PlaceGroupChild
      placeGroupId The place group identifier integer
      placeGroupCode The place group code string
      placeGroupInfo The place group info string
      autoGroup Indicates if this place group is an autogroup boolean
      userDefinedAutoGroup Indicates if this place group is an user defined auto group boolean

Responses

HTTP 200

Body

Content Type: application/json
{
  "dashboardId": 1,
  "dashboardInfo": "string",
  "description": "string",
  "type": "string",
  "createdBy": {
    "userId": 1,
    "userCode": "string",
    "fullName": "string"
  },
  "createdDate": "2026-01-07",
  "modifiedDate": "2026-01-07",
  "shared": false,
  "visible": false,
  "lastViewed": "2026-01-07",
  "key": "string",
  "public": false,
  "dashboardGlobalSettings": {
    "showLinks": false,
    "showInfo": false,
    "globalFilterVisibility": "string",
    "globalFilterType": "string",
    "topmostPlace": {
      "placeType": {
        "placeTypeId": 1,
        "placeTypeCode": "string",
        "placeTypeInfo": "string",
        "structure": false,
        "icon": {
          "code": "string",
          "color": "string"
        },
        "placeEntityType": {
          "placeEntityTypeId": 1,
          "placeEntityTypeInfo": "string"
        },
        "isSystemPlaceType": false
      },
      "isDataRolledUp": false,
      "placeId": 1,
      "placeCode": "string",
      "placeInfo": "string"
    },
    "buildingGroup": {
      "placeGroupId": 1,
      "placeGroupCode": "string",
      "placeGroupInfo": "string",
      "autoGroup": false,
      "userDefinedAutoGroup": false
    }
  }
}